# UuidV4 class

## Constructors

UuidV4.new({GlobalOptions? goptions})
  const

## Properties

goptions → GlobalOptions?
  final
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

generate({V4Options? options}) → String
  v4() Generates a RNG version 4 UUID
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited